Skip to main content

Get User Onboarding Status

GET apps/api/user/onboarding

You can find the user onboarding status and KYC URL by calling this API with the user's phone number. It can be used to check if the user is verified and, if not, to get the KYC URL to complete the verification process.

The seller receives an SMS with a KYC link automatically on contract creation, but you can also proactively check the user's onboarding status.

Headers:

  • Authorization: Bearer {access_token} — Replace {access_token} with the token obtained from Step 1.
  • Content-Type: application/json

Field Descriptions​

Field NameTypeDescriptionRequired / Notes / Example
phoneNumberstringUser phone numberRequired

Example Request (cURL)​

curl --location 'https://api.wepay.com.sa/apps/api/user/onboarding?phoneNumber=966583944450' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Example Response​

{
"data": {
"platformRefId": "USR_123456",
"onboarding":
{
"url": "https://integration.wepay-sa.com/kyc?isVerified=true&isKycCompleted=false
&isBankAccountReady=true&callbackUrl=https://your-callback-url.com&token=encodedToken",
"token": "encodedToken",
"expiresAt": "2024-06-30T10:27:39.889Z"
},
"onboardingCompleted": false,
"isVerified": false,
"kycCompleted": false,
"isBankAccountReady": false,
"isWelcome": false
},
"message": "OnboardingRetrievedSuccessfully",
"status": 200,
"validationErrors": []
}

Response Fields:

FieldTypeDescription
platformRefIdstringUnique identifier for the user in the WePay system
onboardingObjectAn object containing the KYC verification URL and related information
onboardingCompletedbooleanWhether the user has completed onboarding
isVerifiedbooleanWhether the user is Absher verified
kycCompletedbooleanWhether the KYC process is fully completed
isBankAccountReadybooleanWhether the user has a ready bank account

Onboarding

Field NameTypeDescription
urlstringredirect URL to complete KYC
tokenstringencodedToken
expiresAtdatetimetoken expiration time
note

On contract creation, the seller automatically receives an SMS with a KYC link to verify their identity.